<?php

/**
 * Implementation of hook_user_default_permissions().
 */
function bubbletimer_form_feature_user_default_permissions() {
  $permissions = array();

  // Exported permission: administer bubbletimer
  $permissions['administer bubbletimer'] = array(
    'name' => 'administer bubbletimer',
    'roles' => array(
      '0' => 'administrator',
    ),
  );

  // Exported permission: use any bubbletimer
  $permissions['use any bubbletimer'] = array(
    'name' => 'use any bubbletimer',
    'roles' => array(
      '0' => 'administrator',
      '1' => 'manager',
    ),
  );

  // Exported permission: use own bubbletimer
  $permissions['use own bubbletimer'] = array(
    'name' => 'use own bubbletimer',
    'roles' => array(
      '0' => 'administrator',
      '1' => 'authenticated user',
      '2' => 'manager',
    ),
  );

  // Exported permission: view any statistics
  $permissions['view any statistics'] = array(
    'name' => 'view any statistics',
    'roles' => array(
      '0' => 'administrator',
      '1' => 'manager',
    ),
  );

  // Exported permission: view own statistics
  $permissions['view own statistics'] = array(
    'name' => 'view own statistics',
    'roles' => array(
      '0' => 'administrator',
      '1' => 'authenticated user',
      '2' => 'manager',
    ),
  );

  return $permissions;
}
